diff -xconfig -xrename -xgetDomains -xdomainExists -xgetSmiVersions -x'*-stamp' -x'config.*' -xCVS -x.cvsignore -xMakefile -x'.#*' -xtmp -xupdate.sh -xproxyExists -xlistDomain -xsmixx-31.01.tar.gz -xMakefile.in -xconfigure -xaclocal.m4 -r -w -u -N smixx_web/src/translator/isofclassobject.cxx smixx/src/translator/isofclassobject.cxx
--- smixx_web/src/translator/isofclassobject.cxx	2001-05-16 09:13:30.000000000 +0200
+++ smixx/src/translator/isofclassobject.cxx	2006-03-31 16:34:00.000000000 +0200
@@ -2,6 +2,8 @@
 //                         IsOfClassObject  Class
 //                                                 B. Franek
 //                                                 24 April 2000
+// Copyright Information:
+//      Copyright (C) 1999-2006 CCLRC. All Rights Reserved.
 //-----------------------------------------------------------------------
 //
 #include <stdlib.h>
@@ -21,7 +23,10 @@
 : SMLUnit("Object",5) {
 	_name = name;
 	_associated = assoc;
-
+// _associated is commpletely ignored, because this is taken from 
+// the class. The only reason I am leaving it here is because I want to keep
+// the translator output unchanged, so that it can be easily compared
+// BF 31 March 2006
 	_isOfClass = "UNKNOWN";
 
 //	cout << endl << "Object  " << _name << endl;
@@ -96,6 +101,13 @@
 	sobj << _isOfClass.getString() << endl;
 
 	for (int i=0; i<n2; i++) {
+            if (  _pAttributeBlock->_attributes[i].getString() == "ASSOCIATED" )
+	    {
+	        cout << " **** Warning ****  is_of_class type object : "
+		     << pStr << " has \"ASSOCIATED\" attribute" << endl;
+		cout << " this will be ignored and whatever is in the class taken"
+		     << endl;
+	    }
 		sobj << _pAttributeBlock->_attributes[i].getString() << endl;
 	}
 
diff -xconfig -xrename -xgetDomains -xdomainExists -xgetSmiVersions -x'*-stamp' -x'config.*' -xCVS -x.cvsignore -xMakefile -x'.#*' -xtmp -xupdate.sh -xproxyExists -xlistDomain -xsmixx-31.01.tar.gz -xMakefile.in -xconfigure -xaclocal.m4 -r -w -u -N smixx_web/src/utilities/History smixx/src/utilities/History
--- smixx_web/src/utilities/History	1970-01-01 01:00:00.000000000 +0100
+++ smixx/src/utilities/History	2007-01-19 16:18:12.000000000 +0100
@@ -0,0 +1,26 @@
+
+
+  18-Jan-2007 (Boda Franek)
+**** This poor subdirectory so far did not have a History file ****
+
+  Process 'monObjects' can receive commands from 'tellMonObjects' by declaring
+  itself as DIM server with a command service. The name of the server and
+  the service have to be unique for the pair and also known to both. Untill
+  now it was an adhoc string 'hardcoded' to both. This of course meant that
+  only one pair could run in a given DNS domain.
+    To make this more general, I addopted the following convention:
+  
+  For the name of the server :
+  
+  node-name[/'localId']/SMIGUI
+  
+  and for the service :
+  
+  node-name[/'localId']/SMIGUI/CMNDS
+  
+  The 'localId' is supplied(or not) as the first argument to both processes.
+  It has to be some identifier that uniquely identifies the pair such as
+  PID of the GUI that uses them. 
+  
+-----------------------  tclTkGUI-v01  -------------------------------------   
+
diff -xconfig -xrename -xgetDomains -xdomainExists -xgetSmiVersions -x'*-stamp' -x'config.*' -xCVS -x.cvsignore -xMakefile -x'.#*' -xtmp -xupdate.sh -xproxyExists -xlistDomain -xsmixx-31.01.tar.gz -xMakefile.in -xconfigure -xaclocal.m4 -r -w -u -N smixx_web/src/utilities/efftcl/_orig_balloon.tcl smixx/src/utilities/efftcl/_orig_balloon.tcl
--- smixx_web/src/utilities/efftcl/_orig_balloon.tcl	1970-01-01 01:00:00.000000000 +0100
+++ smixx/src/utilities/efftcl/_orig_balloon.tcl	2006-11-26 10:10:35.000000000 +0100
@@ -0,0 +1,116 @@
+# ----------------------------------------------------------------------
+#  EXAMPLE: use "wm" commands to manage a balloon help window
+# ----------------------------------------------------------------------
+#  Effective Tcl/Tk Programming
+#    Mark Harrison, DSC Communications Corp.
+#    Michael McLennan, Bell Labs Innovations for Lucent Technologies
+#    Addison-Wesley Professional Computing Series
+# ======================================================================
+#  Copyright (c) 1996-1997  Lucent Technologies Inc. and Mark Harrison
+# ======================================================================
+
+option add *Balloonhelp*background white widgetDefault
+option add *Balloonhelp*foreground black widgetDefault
+option add *Balloonhelp.info.wrapLength 3i widgetDefault
+option add *Balloonhelp.info.justify left widgetDefault
+option add *Balloonhelp.info.font \
+    -*-lucida-medium-r-normal-sans-*-120-* widgetDefault
+
+toplevel .balloonhelp -class Balloonhelp \
+    -background black -borderwidth 1 -relief flat
+
+label .balloonhelp.arrow -anchor nw \
+    -bitmap @[file join $env(EFFTCL_LIBRARY) images arrow.xbm]
+pack .balloonhelp.arrow -side left -fill y
+
+label .balloonhelp.info
+pack .balloonhelp.info -side left -fill y
+
+wm overrideredirect .balloonhelp 1
+wm withdraw .balloonhelp
+
+# ----------------------------------------------------------------------
+#  USAGE:  balloonhelp_for <win> <mesg>
+#
+#  Adds balloon help to the widget named <win>.  Whenever the mouse
+#  pointer enters this widget and rests within it for a short delay,
+#  a balloon help window will automatically appear showing the
+#  help <mesg>.
+# ----------------------------------------------------------------------
+proc balloonhelp_for {win mesg} {
+    global bhInfo
+    set bhInfo($win) $mesg
+
+    bind $win <Enter> {balloonhelp_pending %W}
+    bind $win <Leave> {balloonhelp_cancel}
+}
+
+# ----------------------------------------------------------------------
+#  USAGE:  balloonhelp_control <state>
+#
+#  Turns balloon help on/off for the entire application.
+# ----------------------------------------------------------------------
+set bhInfo(active) 1
+
+proc balloonhelp_control {state} {
+    global bhInfo
+
+    if {$state} {
+        set bhInfo(active) 1
+    } else {
+        balloonhelp_cancel
+        set bhInfo(active) 0
+    }
+}
+
+# ----------------------------------------------------------------------
+#  USAGE:  balloonhelp_pending <win>
+#
+#  Used internally to mark the point in time when a widget is first
+#  touched.  Sets up an "after" event so that balloon help will appear
+#  if the mouse remains within the current window.
+# ----------------------------------------------------------------------
+proc balloonhelp_pending {win} {
+    global bhInfo
+
+    balloonhelp_cancel
+    set bhInfo(pending) [after 1500 [list balloonhelp_show $win]]
+}
+
+# ----------------------------------------------------------------------
+#  USAGE:  balloonhelp_cancel
+#
+#  Used internally to mark the point in time when the mouse pointer
+#  leaves a widget.  Cancels any pending balloon help requested earlier
+#  and hides the balloon help window, in case it is visible.
+# ----------------------------------------------------------------------
+proc balloonhelp_cancel {} {
+    global bhInfo
+
+    if {[info exists bhInfo(pending)]} {
+        after cancel $bhInfo(pending)
+        unset bhInfo(pending)
+    }
+    wm withdraw .balloonhelp
+}
+
+# ----------------------------------------------------------------------
+#  USAGE:  balloonhelp_show <win>
+#
+#  Used internally to display the balloon help window for the
+#  specified <win>.
+# ----------------------------------------------------------------------
+proc balloonhelp_show {win} {
+    global bhInfo
+
+    if {$bhInfo(active)} {
+        .balloonhelp.info configure -text $bhInfo($win)
+
+        set x [expr [winfo rootx $win]+10]
+        set y [expr [winfo rooty $win]+[winfo height $win]]
+        wm geometry .balloonhelp +$x+$y
+        wm deiconify .balloonhelp
+        raise .balloonhelp
+    }
+    unset bhInfo(pending)
+}
diff -xconfig -xrename -xgetDomains -xdomainExists -xgetSmiVersions -x'*-stamp' -x'config.*' -xCVS -x.cvsignore -xMakefile -x'.#*' -xtmp -xupdate.sh -xproxyExists -xlistDomain -xsmixx-31.01.tar.gz -xMakefile.in -xconfigure -xaclocal.m4 -r -w -u -N smixx_web/src/utilities/efftcl/_orig_progressGauge.tcl smixx/src/utilities/efftcl/_orig_progressGauge.tcl
--- smixx_web/src/utilities/efftcl/_orig_progressGauge.tcl	1970-01-01 01:00:00.000000000 +0100
+++ smixx/src/utilities/efftcl/_orig_progressGauge.tcl	2006-11-26 10:10:35.000000000 +0100
@@ -0,0 +1,42 @@
+option add *Gauge.borderWidth 2 widgetDefault
+option add *Gauge.relief sunken widgetDefault
+option add *Gauge.length 200 widgetDefault
+option add *Gauge.color gray widgetDefault
+ 
+proc gauge_create {win {color ""}} {
+    frame $win -class Gauge
+    
+    set len [option get $win length Length]
+    canvas $win.display -borderwidth 0 -background white \
+         -highlightthickness 0 -width $len -height 20
+    pack $win.display -expand yes
+    
+    if {$color == ""} {
+       set color [option get $win color Color]
+    }
+    
+    $win.display create rectangle 0 0 0 20 \
+         -outline "" -fill $color -tags bar
+	 
+    $win.display create text [expr 0.5*$len] 10 \
+          -anchor c -text "0%" -tags value
+	  
+    return $win
+}
+proc gauge_value {win val} {
+    if { $val < 0 | $val > 100 } {
+        puts stdout "bad value for gauge"
+	return
+    }
+    
+    set msg [format "%3.0f%%" $val]
+#    puts stdout $msg
+    $win.display itemconfigure value -text $msg
+    
+    set w [expr 0.01*$val*[winfo width $win.display]]
+    set h [winfo height $win.display]
+    $win.display coords bar 0 0 $w $h
+    
+    update
+}
+
diff -xconfig -xrename -xgetDomains -xdomainExists -xgetSmiVersions -x'*-stamp' -x'config.*' -xCVS -x.cvsignore -xMakefile -x'.#*' -xtmp -xupdate.sh -xproxyExists -xlistDomain -xsmixx-31.01.tar.gz -xMakefile.in -xconfigure -xaclocal.m4 -r -w -u -N smixx_web/src/utilities/efftcl/balloon.tcl smixx/src/utilities/efftcl/balloon.tcl
--- smixx_web/src/utilities/efftcl/balloon.tcl	1970-01-01 01:00:00.000000000 +0100
+++ smixx/src/utilities/efftcl/balloon.tcl	2006-11-26 10:10:35.000000000 +0100
@@ -0,0 +1,120 @@
+# ----------------------------------------------------------------------
+#  EXAMPLE: use "wm" commands to manage a balloon help window
+# ----------------------------------------------------------------------
+#  Effective Tcl/Tk Programming
+#    Mark Harrison, DSC Communications Corp.
+#    Michael McLennan, Bell Labs Innovations for Lucent Technologies
+#    Addison-Wesley Professional Computing Series
+# ======================================================================
+#  Copyright (c) 1996-1997  Lucent Technologies Inc. and Mark Harrison
+# ======================================================================
+
+option add *Balloonhelp*background white widgetDefault
+option add *Balloonhelp*foreground black widgetDefault
+option add *Balloonhelp.info.wrapLength 3i widgetDefault
+option add *Balloonhelp.info.justify left widgetDefault
+option add *Balloonhelp.info.font \
+    -*-lucida-medium-r-normal-sans-*-120-* widgetDefault
+
+toplevel .balloonhelp -class Balloonhelp \
+    -background black -borderwidth 1 -relief flat
+bind .balloonhelp <Button-1> {balloonhelp_cancel}
+bind .balloonhelp <Button-2> {balloonhelp_cancel}    
+bind .balloonhelp <Button-3> {balloonhelp_cancel}
+
+#label .balloonhelp.arrow -anchor nw \
+#    -bitmap @[file join $env(EFFTCL_LIBRARY) images arrow.xbm]
+#pack .balloonhelp.arrow -side left -fill y
+
+label .balloonhelp.info -background white
+pack .balloonhelp.info -side left -fill y 
+
+wm overrideredirect .balloonhelp 1
+wm withdraw .balloonhelp
+
+# ----------------------------------------------------------------------
+#  USAGE:  balloonhelp_for <win> <mesg>
+#
+#  Adds balloon help to the widget named <win>.  Whenever the mouse
+#  pointer enters this widget and rests within it for a short delay,
+#  a balloon help window will automatically appear showing the
+#  help <mesg>.
+# ----------------------------------------------------------------------
+proc balloonhelp_for {win mesg} {
+    global bhInfo
+    set bhInfo($win) $mesg
+
+#    bind $win <Enter> {balloonhelp_pending %W}
+    bind $win <Button-3> {balloonhelp_pending %W}
+#    bind $win <Leave> {balloonhelp_cancel}
+}
+
+# ----------------------------------------------------------------------
+#  USAGE:  balloonhelp_control <state>
+#
+#  Turns balloon help on/off for the entire application.
+# ----------------------------------------------------------------------
+set bhInfo(active) 1
+
+proc balloonhelp_control {state} {
+    global bhInfo
+
+    if {$state} {
+        set bhInfo(active) 1
+    } else {
+        balloonhelp_cancel
+        set bhInfo(active) 0
+    }
+}
+
+# ----------------------------------------------------------------------
+#  USAGE:  balloonhelp_pending <win>
+#
+#  Used internally to mark the point in time when a widget is first
+#  touched.  Sets up an "after" event so that balloon help will appear
+#  if the mouse remains within the current window.
+# ----------------------------------------------------------------------
+proc balloonhelp_pending {win} {
+    global bhInfo
+
+    balloonhelp_cancel
+    set bhInfo(pending) [after 200 [list balloonhelp_show $win]]
+}
+
+# ----------------------------------------------------------------------
+#  USAGE:  balloonhelp_cancel
+#
+#  Used internally to mark the point in time when the mouse pointer
+#  leaves a widget.  Cancels any pending balloon help requested earlier
+#  and hides the balloon help window, in case it is visible.
+# ----------------------------------------------------------------------
+proc balloonhelp_cancel {} {
+    global bhInfo
+
+    if {[info exists bhInfo(pending)]} {
+        after cancel $bhInfo(pending)
+        unset bhInfo(pending)
+    }
+    wm withdraw .balloonhelp
+}
+
+# ----------------------------------------------------------------------
+#  USAGE:  balloonhelp_show <win>
+#
+#  Used internally to display the balloon help window for the
+#  specified <win>.
+# ----------------------------------------------------------------------
+proc balloonhelp_show {win} {
+    global bhInfo
+
+    if {$bhInfo(active)} {
+        .balloonhelp.info configure -text $bhInfo($win)
+
+        set x [expr [winfo rootx $win]+10]
+        set y [expr [winfo rooty $win]+[winfo height $win]]
+        wm geometry .balloonhelp +$x+$y
+        wm deiconify .balloonhelp
+        raise .balloonhelp
+    }
+    unset bhInfo(pending)
+}
diff -xconfig -xrename -xgetDomains -xdomainExists -xgetSmiVersions -x'*-stamp' -x'config.*' -xCVS -x.cvsignore -xMakefile -x'.#*' -xtmp -xupdate.sh -xproxyExists -xlistDomain -xsmixx-31.01.tar.gz -xMakefile.in -xconfigure -xaclocal.m4 -r -w -u -N smixx_web/src/utilities/efftcl/balloon1.tcl smixx/src/utilities/efftcl/balloon1.tcl
--- smixx_web/src/utilities/efftcl/balloon1.tcl	1970-01-01 01:00:00.000000000 +0100
+++ smixx/src/utilities/efftcl/balloon1.tcl	2007-01-31 11:16:24.000000000 +0100
@@ -0,0 +1,116 @@
+# ----------------------------------------------------------------------
+#  EXAMPLE: use "wm" commands to manage a balloon help window
+# ----------------------------------------------------------------------
+#  Effective Tcl/Tk Programming
+#    Mark Harrison, DSC Communications Corp.
+#    Michael McLennan, Bell Labs Innovations for Lucent Technologies
+#    Addison-Wesley Professional Computing Series
+# ======================================================================
+#  Copyright (c) 1996-1997  Lucent Technologies Inc. and Mark Harrison
+# ======================================================================
+
+option add *Balloonhelp*background yellow widgetDefault
+option add *Balloonhelp*foreground black widgetDefault
+option add *Balloonhelp.info.wrapLength 3i widgetDefault
+option add *Balloonhelp.info.justify left widgetDefault
+option add *Balloonhelp.info.font \
+    -*-lucida-medium-r-normal-sans-*-120-* widgetDefault
+
+toplevel .balloonhelp -class Balloonhelp \
+    -background black -borderwidth 1 -relief flat
+
+#label .balloonhelp.arrow -anchor nw \
+#    -bitmap @[file join $env(EFFTCL_LIBRARY) images arrow.xbm]
+#pack .balloonhelp.arrow -side left -fill y
+
+label .balloonhelp.info
+pack .balloonhelp.info -side left -fill y
+
+wm overrideredirect .balloonhelp 1
+wm withdraw .balloonhelp
+
+# ----------------------------------------------------------------------
+#  USAGE:  balloonhelp_for <win> <mesg>
+#
+#  Adds balloon help to the widget named <win>.  Whenever the mouse
+#  pointer enters this widget and rests within it for a short delay,
+#  a balloon help window will automatically appear showing the
+#  help <mesg>.
+# ----------------------------------------------------------------------
+proc balloonhelp_for {win mesg} {
+    global bhInfo
+    set bhInfo($win) $mesg
+
+    bind $win <Enter> {balloonhelp_pending %W}
+    bind $win <Leave> {balloonhelp_cancel}
+}
+
+# ----------------------------------------------------------------------
+#  USAGE:  balloonhelp_control <state>
+#
+#  Turns balloon help on/off for the entire application.
+# ----------------------------------------------------------------------
+set bhInfo(active) 1
+
+proc balloonhelp_control {state} {
+    global bhInfo
+
+    if {$state} {
+        set bhInfo(active) 1
+    } else {
+        balloonhelp_cancel
+        set bhInfo(active) 0
+    }
+}
+
+# ----------------------------------------------------------------------
+#  USAGE:  balloonhelp_pending <win>
+#
+#  Used internally to mark the point in time when a widget is first
+#  touched.  Sets up an "after" event so that balloon help will appear
+#  if the mouse remains within the current window.
+# ----------------------------------------------------------------------
+proc balloonhelp_pending {win} {
+    global bhInfo
+
+    balloonhelp_cancel
+    set bhInfo(pending) [after 1000 [list balloonhelp_show $win]]
+}
+
+# ----------------------------------------------------------------------
+#  USAGE:  balloonhelp_cancel
+#
+#  Used internally to mark the point in time when the mouse pointer
+#  leaves a widget.  Cancels any pending balloon help requested earlier
+#  and hides the balloon help window, in case it is visible.
+# ----------------------------------------------------------------------
+proc balloonhelp_cancel {} {
+    global bhInfo
+
+    if {[info exists bhInfo(pending)]} {
+        after cancel $bhInfo(pending)
+        unset bhInfo(pending)
+    }
+    wm withdraw .balloonhelp
+}
+
+# ----------------------------------------------------------------------
+#  USAGE:  balloonhelp_show <win>
+#
+#  Used internally to display the balloon help window for the
+#  specified <win>.
+# ----------------------------------------------------------------------
+proc balloonhelp_show {win} {
+    global bhInfo
+
+    if {$bhInfo(active)} {
+        .balloonhelp.info configure -text $bhInfo($win)
+
+        set x [expr [winfo rootx $win]+10]
+        set y [expr [winfo rooty $win]+[winfo height $win]]
+        wm geometry .balloonhelp +$x+$y
+        wm deiconify .balloonhelp
+        raise .balloonhelp
+    }
+    unset bhInfo(pending)
+}
diff -xconfig -xrename -xgetDomains -xdomainExists -xgetSmiVersions -x'*-stamp' -x'config.*' -xCVS -x.cvsignore -xMakefile -x'.#*' -xtmp -xupdate.sh -xproxyExists -xlistDomain -xsmixx-31.01.tar.gz -xMakefile.in -xconfigure -xaclocal.m4 -r -w -u -N smixx_web/src/utilities/efftcl/confirm.tcl smixx/src/utilities/efftcl/confirm.tcl
--- smixx_web/src/utilities/efftcl/confirm.tcl	1970-01-01 01:00:00.000000000 +0100
+++ smixx/src/utilities/efftcl/confirm.tcl	2006-11-26 10:10:35.000000000 +0100
@@ -0,0 +1,77 @@
+# ----------------------------------------------------------------------
+#  EXAMPLE: simple confirmation dialog
+# ----------------------------------------------------------------------
+#  Effective Tcl/Tk Programming
+#    Mark Harrison, DSC Communications Corp.
+#    Michael McLennan, Bell Labs Innovations for Lucent Technologies
+#    Addison-Wesley Professional Computing Series
+# ======================================================================
+#  Copyright (c) 1996-1997  Lucent Technologies Inc. and Mark Harrison
+# ======================================================================
+# modified by B.Franek on 10-Jun-2002. Adding access to the window
+
+option add *Confirm*icon.bitmap questhead widgetDefault
+option add *Confirm*mesg.wrapLength 4i widgetDefault
+
+proc confirm_ask {mesg {ok "OK"} {cancel "Cancel"}} {
+    global confirmStatus
+#
+#--- B.Franek 10-Jun-2002    
+    global confirmWinId
+    if {[info exists confirmWinId]} {
+        puts stdout \
+         "can not pop up another confirm window untill the curent is destroyed"
+        return
+    }
+#----
+
+    set top [dialog_create Confirm]
+    set confirmWinId $top
+
+    set info [dialog_info $top]
+    label $info.icon
+    pack $info.icon -side left -padx 8 -pady 8
+    label $info.mesg -text $mesg
+    pack $info.mesg -side right -expand yes -fill both -padx 8 -pady 8
+
+    set cntls [dialog_controls $top]
+    button $cntls.ok -text $ok -command {set confirmStatus 1}
+#---- B. Franek   21 Dec 2004
+    if { $ok != "nil" } {
+        pack $cntls.ok -side left -expand yes
+    }
+    button $cntls.cancel -text $cancel -command {set confirmStatus 0}
+#---- B. Franek   06 Dec 2004
+    if { $cancel != "nil" } {
+        pack $cntls.cancel -side left -expand yes
+    }
+    focus $cntls.ok
+
+    wm protocol $top WM_DELETE_WINDOW "$cntls.cancel invoke"
+
+    dialog_wait $top confirmStatus
+    destroy $top
+#---- B.Franek 10-Jun-2002
+    unset confirmWinId
+#----
+    return $confirmStatus
+}
+#---- B.Franek 10-Jun-2002
+#============================================================================
+proc confirm_destroy {} {
+    global confirmStatus
+    set confirmStatus destroyed
+    return
+}
+#============================================================================
+proc confirm_controls {} {
+    global confirmWinId
+    return [dialog_controls $confirmWinId]
+}
+#============================================================================
+proc confirm_info {} {
+    global confirmWinId
+    return [dialog_info $confirmWinId]
+}
+#----
+   
diff -xconfig -xrename -xgetDomains -xdomainExists -xgetSmiVersions -x'*-stamp' -x'config.*' -xCVS -x.cvsignore -xMakefile -x'.#*' -xtmp -xupdate.sh -xproxyExists -xlistDomain -xsmixx-31.01.tar.gz -xMakefile.in -xconfigure -xaclocal.m4 -r -w -u -N smixx_web/src/utilities/efftcl/dialog.tcl smixx/src/utilities/efftcl/dialog.tcl
--- smixx_web/src/utilities/efftcl/dialog.tcl	1970-01-01 01:00:00.000000000 +0100
+++ smixx/src/utilities/efftcl/dialog.tcl	2006-11-26 10:10:35.000000000 +0100
@@ -0,0 +1,78 @@
+# ----------------------------------------------------------------------
+#  EXAMPLE: procedures to create dialogs
+# ----------------------------------------------------------------------
+#  Effective Tcl/Tk Programming
+#    Mark Harrison, DSC Communications Corp.
+#    Michael McLennan, Bell Labs Innovations for Lucent Technologies
+#    Addison-Wesley Professional Computing Series
+# ======================================================================
+#  Copyright (c) 1996-1997  Lucent Technologies Inc. and Mark Harrison
+# ======================================================================
+# Modified (bug fixed) by B.Franek on 04-Dec-2002
+
+proc dialog_create {class {win "auto"}} {
+    if {$win == "auto"} {
+        set count 0
+        set win ".dialog[incr count]"
+        while {[winfo exists $win]} {
+            set win ".dialog[incr count]"
+        }
+    }
+    toplevel $win -class $class
+
+    frame $win.info
+    pack $win.info -expand yes -fill both -padx 4 -pady 4
+
+    frame $win.sep -height 2 -borderwidth 1 -relief sunken
+    pack $win.sep -fill x -pady 4
+
+    frame $win.controls
+    pack $win.controls -fill x -padx 4 -pady 4
+
+    wm title $win $class
+    wm group $win .
+
+    after idle [format {
+        update idletasks
+        wm minsize %s [winfo reqwidth %s] [winfo reqheight %s]
+    } $win $win $win]
+
+    return $win
+}
+
+proc dialog_info {win} {
+    return "$win.info"
+}
+
+proc dialog_controls {win} {
+    return "$win.controls"
+}
+
+proc dialog_wait {win varName} {
+    dialog_safeguard $win
+
+    set x [expr [winfo rootx .]+50]
+    set y [expr [winfo rooty .]+50]
+    wm geometry $win "+$x+$y"
+
+    wm deiconify $win
+#-------- B.Franek  04-Dec-2002 ----------------
+    update idletasks
+#----------
+    
+    grab set $win
+    vwait $varName
+
+    grab release $win
+    wm withdraw $win
+}
+
+bind modalDialog <ButtonPress> {
+    wm deiconify %W
+    raise %W
+}
+proc dialog_safeguard {win} {
+    if {[lsearch [bindtags $win] modalDialog] < 0} {
+        bindtags $win [linsert [bindtags $win] 0 modalDialog]
+    }
+}
diff -xconfig -xrename -xgetDomains -xdomainExists -xgetSmiVersions -x'*-stamp' -x'config.*' -xCVS -x.cvsignore -xMakefile -x'.#*' -xtmp -xupdate.sh -xproxyExists -xlistDomain -xsmixx-31.01.tar.gz -xMakefile.in -xconfigure -xaclocal.m4 -r -w -u -N smixx_web/src/utilities/efftcl/my_dialog.tcl smixx/src/utilities/efftcl/my_dialog.tcl
--- smixx_web/src/utilities/efftcl/my_dialog.tcl	1970-01-01 01:00:00.000000000 +0100
+++ smixx/src/utilities/efftcl/my_dialog.tcl	2007-01-16 16:31:46.000000000 +0100
@@ -0,0 +1,78 @@
+# ----------------------------------------------------------------------
+#  EXAMPLE: procedures to create dialogs
+# ----------------------------------------------------------------------
+#  Effective Tcl/Tk Programming
+#    Mark Harrison, DSC Communications Corp.
+#    Michael McLennan, Bell Labs Innovations for Lucent Technologies
+#    Addison-Wesley Professional Computing Series
+# ======================================================================
+#  Copyright (c) 1996-1997  Lucent Technologies Inc. and Mark Harrison
+# ======================================================================
+# Modified (bug fixed) by B.Franek on 04-Dec-2002
+
+proc dialog_create {class {win "auto"}} {
+    if {$win == "auto"} {
+        set count 0
+        set win ".dialog[incr count]"
+        while {[winfo exists $win]} {
+            set win ".dialog[incr count]"
+        }
+    }
+    toplevel $win -class $class
+
+    frame $win.info
+    pack $win.info -expand yes -fill both -padx 4 -pady 4
+
+    frame $win.sep -height 2 -borderwidth 1 -relief sunken
+    pack $win.sep -fill x -pady 4
+
+    frame $win.controls
+    pack $win.controls -fill x -padx 4 -pady 4
+
+    wm title $win $class
+    wm group $win .
+
+#    after idle [format {
+#        update idletasks
+#        wm minsize %s [winfo reqwidth %s] [winfo reqheight %s]
+#    } $win $win $win]
+
+    return $win
+}
+
+proc dialog_info {win} {
+    return "$win.info"
+}
+
+proc dialog_controls {win} {
+    return "$win.controls"
+}
+
+proc dialog_wait {win varName} {
+    dialog_safeguard $win
+
+#    set x [expr [winfo rootx .]+50]
+#    set y [expr [winfo rooty .]+50]
+#    wm geometry $win "+$x+$y"
+
+    wm deiconify $win
+#-------- B.Franek  04-Dec-2002 ----------------
+    update idletasks
+#----------
+    
+    grab set $win
+    vwait $varName
+
+    grab release $win
+    wm withdraw $win
+}
+
+bind modalDialog <ButtonPress> {
+    wm deiconify %W
+    raise %W
+}
+proc dialog_safeguard {win} {
+    if {[lsearch [bindtags $win] modalDialog] < 0} {
+        bindtags $win [linsert [bindtags $win] 0 modalDialog]
+    }
+}
diff -xconfig -xrename -xgetDomains -xdomainExists -xgetSmiVersions -x'*-stamp' -x'config.*' -xCVS -x.cvsignore -xMakefile -x'.#*' -xtmp -xupdate.sh -xproxyExists -xlistDomain -xsmixx-31.01.tar.gz -xMakefile.in -xconfigure -xaclocal.m4 -r -w -u -N smixx_web/src/utilities/efftcl/notice.tcl smixx/src/utilities/efftcl/notice.tcl
--- smixx_web/src/utilities/efftcl/notice.tcl	1970-01-01 01:00:00.000000000 +0100
+++ smixx/src/utilities/efftcl/notice.tcl	2006-11-26 10:10:35.000000000 +0100
@@ -0,0 +1,33 @@
+# ----------------------------------------------------------------------
+#  EXAMPLE: simple notice dialog
+# ----------------------------------------------------------------------
+#  Effective Tcl/Tk Programming
+#    Mark Harrison, DSC Communications Corp.
+#    Michael McLennan, Bell Labs Innovations for Lucent Technologies
+#    Addison-Wesley Professional Computing Series
+# ======================================================================
+#  Copyright (c) 1996-1997  Lucent Technologies Inc. and Mark Harrison
+# ======================================================================
+
+option add *Notice*dismiss.text "Dismiss" widgetDefault
+
+proc notice_show {mesg {icon "info"}} {
+    set top [dialog_create Notice]
+
+    set x [expr [winfo rootx .]+50]
+    set y [expr [winfo rooty .]+50]
+    wm geometry $top "+$x+$y"
+
+    set info [dialog_info $top]
+    label $info.icon -bitmap $icon
+    pack $info.icon -side left -padx 8 -pady 8
+    label $info.mesg -text $mesg -wraplength 4i
+    pack $info.mesg -side right -expand yes -fill both -padx 8 -pady 8
+
+    set cntls [dialog_controls $top]
+    button $cntls.dismiss -command "destroy $top"
+    pack $cntls.dismiss -pady 4
+
+    focus $cntls.dismiss
+    return $top
+}
diff -xconfig -xrename -xgetDomains -xdomainExists -xgetSmiVersions -x'*-stamp' -x'config.*' -xCVS -x.cvsignore -xMakefile -x'.#*' -xtmp -xupdate.sh -xproxyExists -xlistDomain -xsmixx-31.01.tar.gz -xMakefile.in -xconfigure -xaclocal.m4 -r -w -u -N smixx_web/src/utilities/efftcl/progressGauge.tcl smixx/src/utilities/efftcl/progressGauge.tcl
--- smixx_web/src/utilities/efftcl/progressGauge.tcl	1970-01-01 01:00:00.000000000 +0100
+++ smixx/src/utilities/efftcl/progressGauge.tcl	2006-11-26 10:10:35.000000000 +0100
@@ -0,0 +1,45 @@
+option add *Gauge.borderWidth 2 widgetDefault
+option add *Gauge.relief sunken widgetDefault
+option add *Gauge.length 200 widgetDefault
+option add *Gauge.color gray widgetDefault
+ 
+proc gauge_create {win {color ""}} {
+    frame $win -class Gauge
+    
+    set len [option get $win length Length]
+    canvas $win.display -borderwidth 0 -background white \
+         -highlightthickness 0 -width $len -height 20
+    pack $win.display -expand yes
+    
+    if {$color == ""} {
+       set color [option get $win color Color]
+    }
+    
+    $win.display create rectangle 0 0 0 20 \
+         -outline "" -fill $color -tags bar
+	 
+    $win.display create text [expr 0.5*$len] 10 \
+          -anchor c -text "0%" -tags value
+	  
+    return $win
+}
+proc gauge_value {win val {color ""}} {
+    if { $val < 0 } {
+        puts stdout "bad value for gauge"
+	return
+    }
+    
+    set msg [format "%3.0f%%" $val]
+#    puts stdout $msg
+    $win.display itemconfigure value -text $msg
+    if { $color != "" } {
+        $win.display itemconfigure bar -fill $color
+    }
+    
+    set w [expr 0.01*$val*[winfo width $win.display]]
+    set h [winfo height $win.display]
+    $win.display coords bar 0 0 $w $h
+    
+    update
+}
+
